Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## edu.csus.ecs.pc2.api.listener
Enum ConnectionEvent.Action

    java.lang.Object
      java.lang.Enum<ConnectionEvent.Action>
          edu.csus.ecs.pc2.api.listener.ConnectionEvent.Action

All Implemented Interfaces:
  Serializable, Comparable<ConnectionEvent.Action>

Enclosing class:
  ConnectionEvent

    public static enum ConnectionEvent.Action

extends Enum<ConnectionEvent.Action>

Action for ConnectionEvent.

Version:
  $Id: ConnectionEvent.java 2051 2010-03-17 16:15:12Z laned $
Author:
  pc2@ecs.csus.edu

Enum Constant Summary
`DROPPED` Connection Dropped

Method Summary
`static ConnectionEvent.Action` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static ConnectionEvent.Action[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### DROPPED

    public static final ConnectionEvent.Action DROPPED

  Connection Dropped

Method Detail

### values

    public static final ConnectionEvent.Action[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(ConnectionEvent.Action c : ConnectionEvent.Action.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static ConnectionEvent.Action valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD